Skip to main content
`Ctrl`+`K`

# DMPatchCreate

Creates a DMPatch object, which is a collections of DMs called patches.

## Synopsis

    #include "petscdmpatch.h"
    PetscErrorCode DMPatchCreate(MPI_Comm comm, DM *mesh)

Collective

## Input Parameter

- comm - The communicator for the DMPatch object

## Output Parameter

- mesh - The DMPatch object

## Notes

This code is incomplete and not used by other parts of PETSc.

## See Also

`DMPatchZoom()`

## Level

beginner

## Location

src/dm/impls/patch/patchcreate.c

Index of all DMPatch routines
Table of Contents for all manual pages
Index of all manual pages